com.io7m.jtensors.core.unparameterized.vectors

## Class Vector4F.Builder

- java.lang.Object
- - com.io7m.jtensors.core.unparameterized.vectors.Vector4F.Builder

- Enclosing class:
    Vector4F

      public static final class Vector4F.Builder
      extends Object

  Builds instances of type `Vector4F`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector4F` | `build()` Builds a new `Vector4F`.
    `Vector4F.Builder` | `from(Vector4FType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector4FType` instance.
    `Vector4F.Builder` | `from(VectorReadable2FType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2FType` instance.
    `Vector4F.Builder` | `from(VectorReadable3FType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3FType` instance.
    `Vector4F.Builder` | `from(VectorReadable4FType instance)` Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4FType` instance.
    `Vector4F.Builder` | `setW(float w)` Initializes the value for the `w` attribute.
    `Vector4F.Builder` | `setX(float x)` Initializes the value for the `x` attribute.
    `Vector4F.Builder` | `setY(float y)` Initializes the value for the `y` attribute.
    `Vector4F.Builder` | `setZ(float z)` Initializes the value for the `z` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final Vector4F.Builder from(VectorReadable4FType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4FType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector4F.Builder from(VectorReadable2FType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2FType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector4F.Builder from(Vector4FType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector4FType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final Vector4F.Builder from(VectorReadable3FType instance)

      Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3FType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setX

          public final Vector4F.Builder setX(float x)

      Initializes the value for the `x` attribute.
      Parameters:
        `x` - The value for x
      Returns:
        `this` builder for use in a chained invocation

    - #### setY

          public final Vector4F.Builder setY(float y)

      Initializes the value for the `y` attribute.
      Parameters:
        `y` - The value for y
      Returns:
        `this` builder for use in a chained invocation

    - #### setZ

          public final Vector4F.Builder setZ(float z)

      Initializes the value for the `z` attribute.
      Parameters:
        `z` - The value for z
      Returns:
        `this` builder for use in a chained invocation

    - #### setW

          public final Vector4F.Builder setW(float w)

      Initializes the value for the `w` attribute.
      Parameters:
        `w` - The value for w
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public Vector4F build()

      Builds a new `Vector4F`.
      Returns:
        An immutable instance of Vector4F
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com